//+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//
//+    FILE : stj_parse.h
//+ SUMMARY : SVFtoJSVF SVF parse function header
//+     REV : 1.00 (2005/01/21)
//+  AUTHOR : M.Nakai (Atmark-Techno,Inc.)
//+    MEMO : 
//+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//

#ifndef _STJ_PARSE_H_
#define _STJ_PARSE_H_

typedef enum _SVF_COM_ID{
  SVF_COM_UNDEFINED_START=0,
  SVF_COM_SIR,
  SVF_COM_SDR,
  SVF_COM_HIR,
  SVF_COM_HDR,
  SVF_COM_TIR,
  SVF_COM_TDR,
  SVF_COM_ENDIR,
  SVF_COM_ENDDR,

  SVF_COM_TRST,
  SVF_COM_STATE,
  SVF_COM_RUNTEST,
  SVF_COM_FREQUENCY,
  SVF_COM_PIO,
  SVF_COM_PIOMAP,
  SVF_COM_UNDEFINED_END,
}SVF_COM_ID;

int SeekCommand(void);
int GetLabel(char *com);
int AnalyzeWaitMode(void);
int SvfParse(void);

#endif //_STJ_PARSE_H_

